List out saved filters
https://app.fossa.com/api/issue-filtersThis endpoint returns a list of saved filters for the organization. The filters are categorized into licensing, vulnerability, and quality -- only the requested category of filters will be returned.
Query parameters
categoryenumrequiredThe category of the issue filters.
licensingvulnerabilityqualityResponses
200A list of saved filtersArray of:
idintegernamestringcategoryenumlicensingvulnerabilityqualityfilterobjectA JSON object representing the specific filter criteria.
sortenumCan be any of the sort options related to issue or revision.
severity_ascseverity_descissue_count_ascissue_count_desccreated_at_asccreated_at_descpackage_ascpackage_descepss_ascepss_descgroupenumissuerevision400The `category` query parameter is missing or not one of `licensing`, `vulnerability`, or `quality`.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden: insufficient permissions to list filters.Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/issue-filterscurl --request GET \ --url 'https://app.fossa.com/api/issue-filters' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
categoryenumrequiredThe category of the issue filters.